## fdkaacenc

fdkaacenc

## Properties

gint | bitrate | Read / Write

## Types and Values

struct | GstFdkAacEnc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAudioEncoder
                        ╰── GstFdkAacEnc

## Implemented Interfaces

GstFdkAacEnc implements GstPreset.

## Description

## Synopsis

### Element Information

plugin | fdkaac
author | Sebastian Dröge <sebastian@centricular.com>
class | Codec/Encoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int){ 8000, 11025, 12000, 16000, 22050, 24000, 32000, 44100, 48000, 64000, 88200, 96000 }, channels=(int){ 1, 2, 3, 4, 5, 6, 8 }

name | src
direction | source
presence | always
details | audio/mpeg, mpegversion=(int)4, rate=(int){ 8000, 11025, 12000, 16000, 22050, 24000, 32000, 44100, 48000, 64000, 88200, 96000 }, channels=(int){ 1, 2, 3, 4, 5, 6, 8 }, stream-format=(string){ adts, adif, raw }, base-profile=(string)lc, framed=(boolean)true

## Functions

## Types and Values

### struct GstFdkAacEnc

    struct GstFdkAacEnc;

## Property Details

### The `“bitrate”` property

      “bitrate”                  gint

Target Audio Bitrate (0 = fixed value based on sample rate and channel count).

Flags: Read / Write

Allowed values: >= 0

Default value: 0